Imports System.Runtime.Serialization

<Serializable>
<DataContract>
<KnownType(GetType(DBNull))>
Public MustInherit Class BaseResult
    <DataMember>
    Public Property OK As Boolean
    <DataMember>
    Public Property ErrorMessage As String

    Public Sub New()
        OK = True
    End Sub

    Public Sub New(ErrorMessage As String)
        OK = False
        Me.ErrorMessage = ErrorMessage
    End Sub
End Class
